package com.qmth.distributed.print.business.bean.dto;

import com.qmth.teachcloud.common.annotation.ExcelDBFieldDesc;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Description: 考务数据导入Dto(对应 ExaminationDBFieldsEnum 同时作为考务数据表所需要的的字段,来接收excel导入的考务数据)
 * @Author: CaoZixuan
 * @Date: 2021-04-25
 */
public class ExaminationImportDto {

    @ApiModelProperty(value = "学号")
    @ExcelDBFieldDesc(name = "学号",length = 30)
    private String studentCode;

    @ApiModelProperty(value = "考号")
    @ExcelDBFieldDesc(name = "考号",length = 30)
    private String ticketNumber;

    @ApiModelProperty(value = "座位号")
    @ExcelDBFieldDesc(name = "座位号",length = 30)
    private String siteNumber;

    @ApiModelProperty(value = "姓名")
    @ExcelDBFieldDesc(name = "姓名",length = 30)
    private String studentName;

    @ApiModelProperty(value = "课程代码")
    @ExcelDBFieldDesc(name = "课程代码",length = 30)
    private String courseCode;

    @ApiModelProperty(value = "课程名称")
    @ExcelDBFieldDesc(name = "课程名称",length = 50)
    private String courseName;

    @ApiModelProperty(value = "校区")
    @ExcelDBFieldDesc(name = "校区",length = 100)
    private String campusName;

    @ApiModelProperty(value = "考点")
    @ExcelDBFieldDesc(name = "考点",length = 30)
    private String examPlace;

    @ApiModelProperty(value = "考场")
    @ExcelDBFieldDesc(name = "考场",length = 30)
    private String examRoom;

    @ApiModelProperty(value = "考试日期")
    @ExcelDBFieldDesc(name = "考试日期")
    private String examDate;

    @ApiModelProperty(value = "考试时间")
    @ExcelDBFieldDesc(name = "考试时间")
    private String examTime;

    @ApiModelProperty(value = "试卷编号")
    @ExcelDBFieldDesc(name = "试卷编号",length = 30)
    private String paperNumber;

    @ApiModelProperty(value = "课程创建的任务序号")
    private String sequence;

    @ApiModelProperty(value = "备选字段集合")
    private List<FieldsDto> secondaryFieldList;

    @ApiModelProperty(value = "考试开始时间")
    private String examStartTime;

    @ApiModelProperty(value = "考试结束时间")
    private String examEndTime;

    @ApiModelProperty(value = "学校id")
    private Long schoolId;

    @ApiModelProperty(value = "印刷计划id")
    private Long printPlanId;

    @ApiModelProperty(value = "印刷计划名称")
    private String printPlanName;

    public ExaminationImportDto() {
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getTicketNumber() {
        return ticketNumber;
    }

    public void setTicketNumber(String ticketNumber) {
        this.ticketNumber = ticketNumber;
    }

    public String getSiteNumber() {
        return siteNumber;
    }

    public void setSiteNumber(String siteNumber) {
        this.siteNumber = siteNumber;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCampusName() {
        return campusName;
    }

    public void setCampusName(String campusName) {
        this.campusName = campusName;
    }

    public String getExamPlace() {
        return examPlace;
    }

    public void setExamPlace(String examPlace) {
        this.examPlace = examPlace;
    }

    public String getExamRoom() {
        return examRoom;
    }

    public void setExamRoom(String examRoom) {
        this.examRoom = examRoom;
    }

    public String getExamDate() {
        return examDate;
    }

    public void setExamDate(String examDate) {
        this.examDate = examDate;
    }

    public String getExamTime() {
        return examTime;
    }

    public void setExamTime(String examTime) {
        this.examTime = examTime;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getSequence() {
        return sequence;
    }

    public void setSequence(String sequence) {
        this.sequence = sequence;
    }

    public List<FieldsDto> getSecondaryFieldList() {
        return secondaryFieldList;
    }

    public void setSecondaryFieldList(List<FieldsDto> secondaryFieldList) {
        this.secondaryFieldList = secondaryFieldList;
    }

    public String getExamStartTime() {
        return examStartTime;
    }

    public void setExamStartTime(String examStartTime) {
        this.examStartTime = examStartTime;
    }

    public String getExamEndTime() {
        return examEndTime;
    }

    public void setExamEndTime(String examEndTime) {
        this.examEndTime = examEndTime;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public Long getPrintPlanId() {
        return printPlanId;
    }

    public void setPrintPlanId(Long printPlanId) {
        this.printPlanId = printPlanId;
    }

    public String getPrintPlanName() {
        return printPlanName;
    }

    public void setPrintPlanName(String printPlanName) {
        this.printPlanName = printPlanName;
    }
}
